context("get_tb_burden")

## Data dict summary data
tb_data <- get_tb_burden(download_data = TRUE,
                         save = TRUE)

ncols_tb_data <- ncol(tb_data)
nrows_tb_data <-  nrow(tb_data)
class_tb_data <- class(tb_data)[1]

## Expected
exp_nrows <- 1
exp_ncols <- 1
exp_class <- "tbl_df"

test_that("TB burden data has been successfully downloaded", {
  expect_true(!is.null(tb_data))
})
test_that("Data dictionary is a tibble",{
  expect_equal(exp_class, class_tb_data)
})

test_that("TB burden data has at least the expected number of variables", {
  expect_true(exp_ncols <= ncols_tb_data)
})

test_that("TB burden has at least the expected number of entries", {
  expect_true(exp_nrows <= nrows_tb_data)
})

test_that("TB burden data is the same when downloaded using utils::read.csv", {
  skip_on_cran()
  expect_equal(tb_data, get_tb_burden(download_data = TRUE,
                                      use_utils = TRUE,
                                      burden_save_name = "TB_with_utils"))
})